﻿Imports System.Drawing
Imports System.Drawing.Imaging
Imports ClassLibrary2

Public Class Brush4 : Implements IBrush
    Private _separation As Single
    Private _pt As Point
    Private _w As Single

    Public ReadOnly Property i() As Image Implements IBrush.i
        Get
            Dim value As Image
            If w > 0 And pt <> Point.Empty Then
                value = New Bitmap(w, w)
                Graphics.FromImage(value).FillPie(Brushes.DarkSlateGray, New Rectangle(Point.Empty, value.Size), 0, 360)
            Else
                value = New Bitmap(1, 1)
            End If
            Return value
        End Get
    End Property

    Public Property pt() As Point Implements IBrush.pt
        Get
            Return _pt
        End Get
        Set(ByVal value As Point)
            _pt = value
        End Set
    End Property

    Public Property r() As Single Implements IBrush.r
        Get
            Return 0
        End Get
        Set(ByVal value As Single)

        End Set
    End Property

    Public ReadOnly Property separation() As Single Implements IBrush.separation
        Get
            Return _separation
        End Get
    End Property

    Public Property w() As Integer Implements IBrush.w
        Get
            Return _w
        End Get
        Set(ByVal value As Integer)
            _w = value
        End Set
    End Property

    Sub New()
        _separation = 0.25
    End Sub
End Class
