﻿Imports ClassLibrary2

Public Class Brush : Implements IBrush
    Protected _i As Image
    Protected _w As Integer
    Protected _pt As Point
    Protected _separation As Single
    Private _r As Single

    Public ReadOnly Property separation() As Single Implements IBrush.separation
        Get
            Return _separation
        End Get
    End Property

    Public Property r() As Single Implements IBrush.r
        Get
            Return _r
        End Get
        Set(ByVal value As Single)
            _r = value
        End Set
    End Property


    Public Property pt() As Point Implements IBrush.pt
        Get
            Return _pt
        End Get
        Set(ByVal value As Point)
            _pt = New Point(value.X - w / 2, value.Y - w / 2)
        End Set
    End Property

    Public Overridable ReadOnly Property i() As Image Implements IBrush.i
        Get
            Dim value As Image
            If w > 0 Then
                value = New Bitmap(w, w)
                Dim c As PointF = New PointF(_i.Size.Width / 2, _i.Size.Height / 2)
                Graphics.FromImage(value).DrawImage(_i, New RectangleF(0, 0, value.Size.Width, value.Size.Height), _i.GetBounds(GraphicsUnit.Pixel), GraphicsUnit.Pixel)
            Else
                value = New Bitmap(1, 1)
            End If
            Return value
        End Get
    End Property

    Public Property w() As Integer Implements IBrush.w
        Get
            Return _w
        End Get
        Set(ByVal value As Integer)
            _w = value
        End Set
    End Property

    Sub New()
        _i = New Bitmap("i.png")
        _separation = 0.25
    End Sub
End Class
