﻿Public Class Brush2 : Inherits Brush
    Public Overrides ReadOnly Property i() As Image
        Get
            Dim value As Image
            If Me.w > 0 Then
                value = New Bitmap(Me.w, Me.w)
                Dim g = Graphics.FromImage(value)
                Dim w = value.Size.Width
                Dim h = value.Size.Height
                Dim p As PointF() = New PointF() {New PointF(0, 0), New PointF(w, 0), New PointF(0, h), New PointF(w, h)}
                Dim q = New PointF(w / 2, h / 2)
                Dim p_(UBound(p)) As PointF
                For idx = LBound(p) To UBound(p)
                    p_(idx) = f(p(idx), Me.r, q)
                Next

                g.DrawImage(_i, New PointF() {p_(0), p_(1), p_(2)})
            Else
                value = New Bitmap(1, 1)
            End If
            Return value
        End Get
    End Property

    Function f(ByVal p As PointF, ByVal r As Double, ByVal q As PointF) As PointF
        f.X = (p.X - q.X) * Math.Cos(r) - (p.Y - q.Y) * Math.Sin(r) + q.X
        f.Y = (p.X - q.X) * Math.Sin(r) + (p.Y - q.Y) * Math.Cos(r) + q.Y
    End Function

    Sub New()
        _separation = 0.01
    End Sub
End Class
